### Method

# FwupdPlugin Device add_json

#### Declaration [src]

    void
    fu_device_add_json (
      FuDevice* self,
      JsonBuilder* builder,
      FwupdCodecFlags flags
    )

#### Description

No description available.

#### Parameters

`builder` | `JsonBuilder`
| No description available.
| The data is owned by the caller of the function.
`flags` | `FwupdCodecFlags`
| No description available.